version: '3'
services:
  #LDAP
  ldap:
    build: 
      context: $PWD/Documentacion/ModoBasico/ServerLdap/
      dockerfile: Dockerfile
    ports:
     - "389:389"
    networks: 
      _net:
        ipv4_address: 172.31.0.2
    container_name: ldap.gandhi.reload
    privileged: true
    hostname: ldap.gandhi.reload

  #KERBEROS  
  kerberos:
    build: 
      context: $PWD/Documentacion/ModoBasico/ServerKerberos/
      dockerfile: Dockerfile
    ports:
     - "88:88"
     - "464:464"
     - "464:464/udp"
     - "749:749"
    networks: 
      _net:
        ipv4_address: 172.31.0.5
    container_name: krb.gandhi.reload
    hostname: krb.gandhi.reload
    privileged: true

  #DNS  
  #OJO cambiar el "context" segun la configuracion
  dns:
    build: 
      #context: $PWD/Documentacion/ModoAdvanced/ServerDNS_mapeo_casa/
      context: $PWD/Documentacion/ModoAdvanced/ServerDNS_mapeo_edt/
      dockerfile: Dockerfile
    ports:
     - "53:53/udp"
    networks: 
      _net:
        ipv4_address: 172.31.0.3
    container_name: dns.gandhi.reload
    hostname: dns.gandhi.reload
    privileged: true
  
  #NFS
  nfs:
    build: 
      context: $PWD/Documentacion/ModoBasico/ServerNfs/
      dockerfile: Dockerfile
    ports:
     - "111:111"
     - "111:111/udp"
     - "2049:2049"
     - "2049:2049/udp"
     - "20048:20048"
     - "20048:20048/udp"
    networks: 
      _net:
        ipv4_address: 172.31.0.4
    container_name: nfs.gandhi.reload
    hostname: nfs.gandhi.reload
    privileged: true
    volumes:
      - homes:/mnt/dades

  ###SERVICIOS KERBERIZADOS
  #SSH
  ssh_krb:
    build: 
      context: $PWD/Documentacion/ServiciosKerberizados/ServerSSH
      dockerfile: Dockerfile
    ports:
      - "9022:22"
    networks: 
      _net:
        ipv4_address: 172.31.0.7
    container_name: sshserver.gandhi.reload
    hostname: sshserver.gandhi.reload
    privileged: true
  #FTP    
  ftp_krb:
    build: 
      context: $PWD/Documentacion/ServiciosKerberizados/ServerFTP
      dockerfile: Dockerfile
    ports:
      - "21:21"
      - "21:21/udp"
      - "20:20"
      - "20:20/udp"
    networks: 
      _net:
        ipv4_address: 172.31.0.8
    container_name: ftpserver.gandhi.reload
    hostname: ftpserver.gandhi.reload
    privileged: true
    volumes:
      - pub:/var/ftp/pub

  # TFTP    
  # tftp:
  #   build: 
  #     context: $PWD/Documentacion/ServerPXE/ServerTFTP
  #     dockerfile: Dockerfile
  #   ports:
  #     - "0.0.0.0:69:69/udp"
  #   networks: 
  #     _net:
  #       ipv4_address: 172.31.0.9
  #   container_name: tftpserver.gandhi.reload
  #   hostname: tftpserver.gandhi.reload
  #   privileged: true
  #   volumes:
  #     - tftp:/var/lib/tftpboot
  #HTTP
  http_krb:
    build: 
      context: $PWD/Documentacion/ServiciosKerberizados/ServerHTTP
      dockerfile: Dockerfile
    ports:
      - "80:80"
    networks: 
      _net:
        ipv4_address: 172.31.0.10
    container_name: httpserver.gandhi.reload
    hostname: httpserver.gandhi.reload
    privileged: true
    volumes:
      - web:/var/tmp

  #GADMIN
  gadmin:
    build: 
      context: $PWD/Documentacion/ModoBasico/ServerGadmin/
      dockerfile: Dockerfile
    ports:
      - "2022:22"
    networks: 
      _net:
        ipv4_address: 172.31.0.6
    container_name: gadmin.gandhi.reload
    hostname: gadmin.gandhi.reload
    privileged: true
    volumes:
      - homes:/mnt/dades
      - pub:/var/ftp/pub
      - tftp:/var/lib/tftpboot
      - web:/var/tmp
      
networks:
 _net:
   driver: bridge
   ipam:
    config:
      - subnet: 172.31.0.0/16

volumes:
  homes:
  pub:
  tftp:
  web: